<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->date('available_date')->nullable()->after('price_list_id');
            $table->text('note')->nullable()->after('available_date');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->dropColumn(['available_date', 'note']);
        });
    }
};
